#!/bin/sh

DATE="$(date --rfc-3339=date)"
DIR="lkddb-$DATE"
TAR="$DIR.tar"


if [ -d "$DIR" ] ; then
    echo "Error: $DIR exists"
    exit 1
fi

mkdir "$DIR"
cp -p build-lkddb.py devicetables.py kbuildparser.py lkddb.py srcparser.py "$DIR"
cp -p autokernconf.sh kdetect.sh "$DIR"
cp -p kconf-db-builder.py "$DIR"
cp -p dist.sh Makefile "$DIR"
cp -p lkddb.data "$DIR"

tar cvf "$TAR" "$DIR"
gzip -9 "$TAR"

